[CalendarServer-changes] [9478] CalendarServer/branches/users/gaya/inviteclean

source_changes at macosforge.org source_changes at macosforge.org
Fri Jul 20 21:17:43 PDT 2012


Revision: 9478
          http://trac.macosforge.org/projects/calendarserver/changeset/9478
Author:   gaya at apple.com
Date:     2012-07-20 21:17:43 -0700 (Fri, 20 Jul 2012)
Log Message:
-----------
don't use retrieveOldInvites()

Modified Paths:
--------------
    CalendarServer/branches/users/gaya/inviteclean/txdav/caldav/datastore/test/common.py

Added Paths:
-----------
    CalendarServer/branches/users/gaya/inviteclean/benchmark

Removed Paths:
-------------
    CalendarServer/branches/users/gaya/inviteclean/benchmark

Deleted: CalendarServer/branches/users/gaya/inviteclean/benchmark
===================================================================
--- CalendarServer/branches/users/gaya/inviteclean/benchmark	2012-07-21 03:17:36 UTC (rev 9477)
+++ CalendarServer/branches/users/gaya/inviteclean/benchmark	2012-07-21 04:17:43 UTC (rev 9478)
@@ -1,26 +0,0 @@
-#!/bin/sh
-
-##
-# Copyright (c) 2005-2011 Apple Inc. All rights reserved.
-#
-# Licensed under the Apache License, Version 2.0 (the "License");
-# you may not use this file except in compliance with the License.
-# You may obtain a copy of the License at
-#
-#     http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-##
-
-set -e;
-set -u;
-
-wd="$(cd "$(dirname "$0")" && pwd -L)";
-
-export PYTHONPATH="$("${wd}/run" -p)";
-
-exec "${wd}/contrib/performance/benchmark" "$@";

Copied: CalendarServer/branches/users/gaya/inviteclean/benchmark (from rev 9427, CalendarServer/branches/users/gaya/inviteclean/benchmark)
===================================================================
--- CalendarServer/branches/users/gaya/inviteclean/benchmark	                        (rev 0)
+++ CalendarServer/branches/users/gaya/inviteclean/benchmark	2012-07-21 04:17:43 UTC (rev 9478)
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+##
+# Copyright (c) 2005-2011 Apple Inc. All rights reserved.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+##
+
+set -e;
+set -u;
+
+wd="$(cd "$(dirname "$0")" && pwd -L)";
+
+export PYTHONPATH="$("${wd}/run" -p)";
+
+exec "${wd}/contrib/performance/benchmark" "$@";

Modified: CalendarServer/branches/users/gaya/inviteclean/txdav/caldav/datastore/test/common.py
===================================================================
--- CalendarServer/branches/users/gaya/inviteclean/txdav/caldav/datastore/test/common.py	2012-07-21 03:17:36 UTC (rev 9477)
+++ CalendarServer/branches/users/gaya/inviteclean/txdav/caldav/datastore/test/common.py	2012-07-21 04:17:43 UTC (rev 9478)
@@ -1091,8 +1091,8 @@
         yield otherCal.unshare()
         otherCal = yield other.sharedChildWithName(self.sharedName)
         self.assertEqual(otherCal, None)
-        invites = yield cal.retrieveOldInvites().allRecords()
-        self.assertEqual(len(invites), 0)
+        invitedCals = yield cal.asInvited()
+        self.assertEqual(len(invitedCals), 0)
         shares = yield other.retrieveOldShares().allRecords()
         self.assertEqual(len(shares), 0)
 
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.macosforge.org/pipermail/calendarserver-changes/attachments/20120720/e89e7244/attachment.html>


More information about the calendarserver-changes mailing list